Seriously? No 2003 support? Rated 2 out of 5 stars

Wow, I really wish my employer used Exchange 2007 or later. But you know what I really wish? That the world world would stop assuming that everyone updates their IT stuff all the time. Case in point: Windows XP. It's used almost exclusively in many education settings, and it's 2011! Please write or find me a solution so I can access my Exchange 2003 info IN THUNDERBIRD!

This review is for a previous version of the add-on (0.15). 

Open Source

Hi! I'd be happy to add support for 2003 if you submit patches for it. As far as I know Exchange 2003 does not support EWS but only MAPI, which terribly complicated. Apart from that, I don't think that you are in a position to quite offensively demand a set of features from open source software, especially if the software has the laborous job of interfacing with proprietary software. You should rather complain to your IT that they use old proprietary software in the first place.